Bug 57766 - vixie cron does not skip white space in /etc/crontab and /etc/cron.d
vixie cron does not skip white space in /etc/crontab and /etc/cron.d
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
7.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-21 13:07 EST by Henning Schmiedehausen
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-30 14:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The mentioned patch (989 bytes, patch)
2001-12-21 13:08 EST, Henning Schmiedehausen
no flags Details | Diff

  None (edit)
Description Henning Schmiedehausen 2001-12-21 13:07:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011015

Description of problem:
The commands executed by vixie-cron from /etc/crontab and from the 
files in /etc/cron.d contain leading whitespace

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Look at /var/log/cron
2. Notice e.g.
Dec 21 16:20:00 forge CROND[26250]: (root) CMD (   /sbin/rmmod -as) 
Dec 21 16:30:00 forge CROND[29255]: (root) CMD (   /sbin/rmmod -as) 

See the whitespace before the /sbin/rmmod -as ??
I was always wondering where this comes from. Today I gave it a look.
	

Actual Results:  The commands shouldn't have leading whitespace. The
commands from the
user crontabs don't have.

Additional info:

The bug fix is attached.
Comment 1 Henning Schmiedehausen 2001-12-21 13:08:19 EST
Created attachment 41188 [details]
The mentioned patch
Comment 2 Jens Petersen 2004-06-30 12:18:56 EDT
Thanks for the patch.

AFAICT this is fixed now in upstream cron 4.1.
Comment 3 Jens Petersen 2004-06-30 14:07:46 EDT
Appears to be fixed.

Note You need to log in before you can comment on or make changes to this bug.